#ifndef STD_QUEUE_H
#define STD_QUEUE_H


template <class Container>
class queue
{
private:
   Container _q;
public:

   Container::reference front() { return _q.front(); }
   Container::const_reference front() const { return _q.front(); }
   Container::reference back() { return _q.back(); }
   Container::const_reference back() const { return _q.back(); }

   void push (Container::const_reference x)  {_q.push_back(x);}
   void pop ()             {_q.erase(_q.begin());}

   bool empty() const      {return _q.empty();}
   unsigned size() const   {return _q.size();}
};


#endif

