#include <utils/visstrng.h>

#include <iomanip>

using namespace std;


VisibleString::VisibleString(AlgAE::Color c)
: Visible(c), _color(c) {}

VisibleString::VisibleString(const string& s, AlgAE::Color c)
:       Visible(c), _color(c), _data(s) {}

VisibleString::VisibleString(const string& s, const string& name,
			     AlgAE::Color c):
  Visible(c), _color(c), _data(s)
   {setName (name);}

VisibleString::VisibleString (const VisibleString& x):
       Visible(x._color), _color(x._color), _data(x._data) {}

void VisibleString::operator= (const VisibleString& x)
     {_data = x._data;}

void VisibleString::operator= (const string& x)
     {_data = x;}

VisibleString::~VisibleString() {}

VisibleString::operator string() const {return _data;}


void VisibleString::touchAllPointers() const
{
}

void VisibleString::writeText(ostream& out) const
{
  out << _data;
}



