package edu.odu.cs.zeil.AlgAE.Client;


public class PromptForInputMessage implements Message {

	private String prompt;
	private String requiredPattern;
	
	public PromptForInputMessage(String prompt, String requiredPattern) {
		this.prompt = prompt;
		this.requiredPattern = requiredPattern;
	}

	@Override
	public void interpret(Client client) {
		client.promptForInputDialog(prompt, requiredPattern);
	}

	public String getPrompt() {
		return prompt;
	}

	public String getRequiredPattern() {
		return requiredPattern;
	}

}
