package edu.odu.cs.zeil.AlgAE.Client;

import edu.odu.cs.zeil.AlgAE.Snapshot.Snapshot;

public class MenuItemCompletedMessage implements Message {

	private Snapshot snapshot;
	
	public MenuItemCompletedMessage (Snapshot snap)
	{
		snapshot = snap;
	}
	
	@Override
	public void interpret(Client client) {
		client.menuItemCompleted(snapshot);
		client.context().getActivationStack().clear();
	}
	
	
	
}
